Imagick::contrastStretchImage
Imagick::cropImage
The Imagick class
PHP Manual

# Imagick::convolveImage

(PECL imagick 2.0.0)

Imagick::convolveImage — Applies a custom convolution kernel to the image

### Description

bool Imagick::convolveImage ( array `$kernel` [, int `$channel` = Imagick::CHANNEL_ALL ] )
Warning

This function is currently not documented; only its argument list is available.

Applies a custom convolution kernel to the image.

### Parameters

`kernel`

  The convolution kernel

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to `Imagick::CHANNEL_ALL`. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::contrastStretchImage
Imagick::cropImage
The Imagick class
PHP Manual